/* Nice tips adapted from https://dev.to/lennythedev/css-gotcha-how-to-fill-page-with-a-div-270j */

html {
    margin: 0;
    padding: 0;
    height: 100%;
}


body {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}


/* include border and padding in element width and height */
* {
    box-sizing: border-box;
}


/* full-sized  container that fills up the page */
.site-container {
    display: flex;
    overflow-x: hidden;
    flex-direction: column;
    height: 100vh;
}